package org.dromara.system.service;

import org.dromara.common.core.domain.R;
import org.dromara.system.domain.FormalTeacherClass;
import org.dromara.system.domain.vo.FormalTeacherClassListVo;
import org.dromara.system.domain.vo.FormalTeacherClassVo;
import org.dromara.system.domain.bo.FormalTeacherClassBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 老师-班级（学科）(审核通过之后数据)Service接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface IFormalTeacherClassService {

    /**
     * 查询老师-班级（学科）(审核通过之后数据)
     */
    FormalTeacherClassVo queryById(Long id);

    /**
     * 查询老师-班级（学科）(审核通过之后数据)列表
     */
    TableDataInfo<FormalTeacherClassVo> queryPageList(FormalTeacherClassBo bo, PageQuery pageQuery);

    /**
     * 查询老师-班级（学科）(审核通过之后数据)列表
     */
    List<FormalTeacherClassVo> queryList(FormalTeacherClassBo bo);

    /**
     * 新增老师-班级（学科）(审核通过之后数据)
     */
    Boolean insertByBo(FormalTeacherClassBo bo);

    /**
     * 修改老师-班级（学科）(审核通过之后数据)
     */
    Boolean updateByBo(FormalTeacherClassBo bo);

    /**
     * 校验并批量删除老师-班级（学科）(审核通过之后数据)信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    R<Void> updateFormalTeacherClassList(FormalTeacherClassListVo formalTeacherClassListVo);

    TableDataInfo<FormalTeacherClassVo> selectFormalTeacherClassListNoPage(FormalTeacherClassBo bo);

    List<FormalTeacherClassVo> getTeacherClass(String teacherId);
}
